class Dra < Formula
  desc "Tool to download release assets from GitHub"
  homepage "https://github.com/devmatteini/dra"
  url "https://github.com/devmatteini/dra/archive/refs/tags/0.6.2.tar.gz"
  sha256 "e94be0967864593b44870cb39c2473fccc91d42d37fa500006646385ce2e4194"
  license "MIT"
  head "https://github.com/devmatteini/dra.git", branch: "main"

  depends_on "rust" => :build

  uses_from_macos "zlib"

  def install
    system "cargo", "install", *std_cargo_args

    generate_completions_from_executable(bin/"dra", "completion")
  end

  test do
    assert_match version.to_s, shell_output(bin/"dra --version")

    system bin/"dra", "download", "--select",
           "helloworld.tar.gz", "devmatteini/dra-tests"

    assert_predicate testpath/"helloworld.tar.gz", :exist?
  end
end
